Subject: bug#21921: New function comment-line also comments first line after region

From: [email-masked]
Date: Sun, 04 Jun 2017 09:24:42 -0400

tags 21921 notabug wontfix
close 21921
quit

Rasmus <[email-masked]> writes:

> Perhaps the confusion is caused by region not being displayed at column
> zero.
>
> The behavior is correct IMO.
>

Artur Malabarba <[email-masked]> writes:

> Indeed. When I was deciding how comment-line should work on a region, I specifically chose to not make it identical to comment-dwim. 
>
> Maybe it should still treat the "region ends at a newline" case specially. Some emacs commands do that already.
> Not sure though, since that would be slightly redundant with comment-dwim. 

Andreas Röhler <[email-masked]> writes:

> Being in favor to keep it as implemented. Congrats BTW. Use this
> feature for years personally, glad to see it built-in now.
> IMO it's most useful as line-oriented command. Moving one line down,
> being ready for repeat.

I think we've decided it's okay as is, closing.